Filter movement

POST/movement/filter

Returns a list of movements.

Headers

  • x-api-keystringrequired

    Api key provided on integrations tab in Easyflow platform.

  • x-api-secretstringrequired

    Api Secret provided on integrations tab in Easyflow platform.

  • business-idstringrequired

    Business Identifier

Query parameters

  • pageintegerrequired

    Page number to access

    Example:1

  • limitintegerrequired

    Number of items to be loaded per page

    Example:10

Request body

Optional Fields for movements Filtering

Content typeapplication/jsonobject

  • initialValueinteger
  • endValueinteger
  • subjectstring
  • descriptionstring
  • hashstring
  • originTypestring

    Possible values:paymentdepositwithdraw-requesttransfer-requestwithdraw-feeanticipation-taxrefund-taxrefund-shortfallexternal-liquidationpromissoryother

  • referenceIdstring
  • groupIdstring
  • initialDatestring
  • endDatestring
  • omitDebitboolean
  • omitCreditboolean

Responses

200Returns a list of movements.

Returns a list of movements.

Content typeapplication/jsonobject

  • statusCodeinteger

    Example:200

  • dataobject
    Show child attributesHide child attributes
    • movementsobject
      Show child attributesHide child attributes
      • docsarray of objects
        Show child attributesHide child attributes
        • idstring
        • businessIdsarray of strings
        • valueInCentsinteger
        • subjectstring
        • hashstring
        • originTypestring

          Possible values:paymentdepositwithdraw-requesttransfer-requestwithdraw-feeanticipation-taxrefund-taxrefund-shortfallexternal-liquidationpromissoryother

        • ocurredAtstring
        • groupIdstring
        • referenceIdstring
        • descriptionstring
      • currentPageinteger
      • hasNextboolean
      • limitinteger
      • nextPageintegernullable
      • totalDocsinteger
      • totalPagesinteger
    • countinteger
    • totalValueinteger
400If the provided parameter is invalid, the API will return the following error response:

If the provided parameter is invalid, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid param: []

    Example:Invalid param: []

  • errorstring

    Bad Request

    Example:Bad Request

  • statusCodeinteger

    400

    Example:400

  • errorCodestring

    Code that identifies the error. Present only on some errors.

401If the request is unauthorized, the API will return the following error response:

If the request is unauthorized, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Invalid field

    Example:Unauthorized

  • errorstring

    Unauthorized

    Example:Unauthorized

  • statusCodeinteger

    401

    Example:401

403If the request is forbidden, the API will return the following error response:

If the request is forbidden, the API will return the following error response:

Content typeapplication/jsonobject

  • messagestring

    Forbidden resource

    Example:Forbidden resource

  • errorstring

    Forbidden

    Example:Forbidden

  • statusCodeinteger

    403

    Example:403

500If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

If an unexpected condition occurs and the server cannot process the request, the API will return the following error response. This response has no error field.

Content typeapplication/jsonobject

  • statusCodeinteger

    HTTP status code.

    Example:500

  • messagestring

    Explanation of the error.

    Example:Internal Server Error